Description
As Rest_lIssueCategories notes,

PUT
Updates the issue category of given id

Parameters:

Same as issue category creation

Response:

200 OK: issue category was updated

422 Unprocessable Entity: issue category was not updated due to validation failures (response body

contains the error messages)

| had test this function as:

/redmine/issue_categories/{1}.Jjson?id=117&key={0}

then body given json data

{"issue_category":{"name":"Test", "assigned_to_id":1}}

and it's update the category name and assigned_to correctly
but response Status is 204 No Content.
Thanks.

X-Download-Options noopen
X-Runtime 0.042469
X-Frame-Options SAMEORIGIN

X-Content- Type-Options nosniff

X-Powered-By Phusion Passenger 5.0.30

Status 204 No Content
Keep-Alive timeout=5, max=100

Connection Keep-Alive

Related issues:
Related to Redmine - Defect #30073: Ajax Request Returns 200 but an error eve... Closed

History

#1 - 2020-09-10 12:05 - Go MAEDA
https://www.redmine.org/projects/redmine/wiki/Rest_IssueCategories#PUT

- Related to Defect #30073: Ajax Request Returns 200 but an error event is fired instead of success added

#2 - 2020-09-10 12:06 - Go MAEDA
- Category changed from REST API to Documentation

The response code has been changed in Redmine 4.1.0 (#30073) but Wiki pages are not updated.

#3 - 2020-09-10 12:21 - Terence Lien
Thank you Go MAEDA.

| suggest that doc could be more detail about PUT/POST description.
| tried this function until success work that spends over 3 hours /|||

PUT
/issue_categories.:format/{:issue_category_id}.:format

POST
/projects/{:project_id}/issue_categories.:format

#4 - 2020-09-11 05:27 - Terence Lien
Hello Go MAEDA,

does DELETE response also changed to 204 or something??
Thanks.

#5 - 2021-09-09 15:32 - Go MAEDA
- Status changed from New to Closed
- Resolution set to Fixed

Terence Lien wrote:

does DELETE response also changed to 204 or something??

Yes. APIs that don't have a response body return 204 on success.

| have fixed the document.
